Subject: Re: "cell-index" vs. "index" vs. no index in I2C device nodes

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 06 Jun 2008 14:16:23 +1000

On Thu, 2008-06-05 at 09:48 +0200, Jean Delvare wrote:
> As far as I am concerned, it's really up to the maintainers and users
> of this platform. All I am asking for is that you do not call
> i2c_add_numbered_adapter() on an adapter with an automatically
> generated number. This function must only be used for adapter's those
> number is well defined. If an adapter doesn't have a well-defined
> number then use i2c_add_adapter() (but then you can no longer declare
> your I2C devices as part of the platform data.)

Can't we just give those things -names- instead of numbers ?

Ben.